| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.PolarMotionFormula Class Reference

Class to store parameters for polar motion extrapolation formula (from Bulletin A). More...

List of all members.

## Public Member Functions
| PolarMotionFormula ()
| Default constructor.
| PolarMotionFormula (double a1, double b1, double c1, double d1, double e1, double a2, double b2, double c2, double d2, double e2, double Ar, double Ad, double Cr, double Cd)
| Constructor with parameters.
| PolarMotionFormula (PolarMotionFormula pm)
| Copy constructor.
## Public Attributes
double | ax
| x parameter formula: Constant term.
double | bx
| x parameter formula: cos A coefficient.
double | cx
| x parameter formula: sin A coefficient.
double | dx
| x parameter formula: cos C coefficient.
double | ex
| x parameter formula: sin C coefficient.
double | ay
| y parameter formula: Constant term.
double | by
| y parameter formula: cos A coefficient.
double | cy
| y parameter formula: sin A coefficient.
double | dy
| y parameter formula: cos C coefficient.
double | ey
| y parameter formula: sin C coefficient.
double | Aref
| Reference day for A parameter formula.
double | Adiv
| Divisor for A parameter formula.
double | Cref
| Reference day for C parameter formula.
double | Cdiv
| Divisor for C parameter formula.

## Detailed Description

Class to store parameters for polar motion extrapolation formula (from Bulletin A).

## Constructor & Destructor Documentation

EECFI.PolarMotionFormula.PolarMotionFormula | ( |  | ) |

Default constructor.

EECFI.PolarMotionFormula.PolarMotionFormula | ( | double | a1,
|  | double | b1,
|  | double | c1,
|  | double | d1,
|  | double | e1,
|  | double | a2,
|  | double | b2,
|  | double | c2,
|  | double | d2,
|  | double | e2,
|  | double | Ar,
|  | double | Ad,
|  | double | Cr,
|  | double | Cd |
| ) |  |  |

Constructor with parameters.

EECFI.PolarMotionFormula.PolarMotionFormula | ( | PolarMotionFormula | pm | ) |

Copy constructor.

## Member Data Documentation

double EECFI.PolarMotionFormula.Adiv

Divisor for A parameter formula.

double EECFI.PolarMotionFormula.Aref

Reference day for A parameter formula.

double EECFI.PolarMotionFormula.ax

x parameter formula: Constant term.

double EECFI.PolarMotionFormula.ay

y parameter formula: Constant term.

double EECFI.PolarMotionFormula.bx

x parameter formula: cos A coefficient.

double EECFI.PolarMotionFormula.by

y parameter formula: cos A coefficient.

double EECFI.PolarMotionFormula.Cdiv

Divisor for C parameter formula.

double EECFI.PolarMotionFormula.Cref

Reference day for C parameter formula.

double EECFI.PolarMotionFormula.cx

x parameter formula: sin A coefficient.

double EECFI.PolarMotionFormula.cy

y parameter formula: sin A coefficient.

double EECFI.PolarMotionFormula.dx

x parameter formula: cos C coefficient.

double EECFI.PolarMotionFormula.dy

y parameter formula: cos C coefficient.

double EECFI.PolarMotionFormula.ex

x parameter formula: sin C coefficient.

double EECFI.PolarMotionFormula.ey

y parameter formula: sin C coefficient.